# Standards contributors should follow

## Git conventions

- The main commit message should be written in the simple present form and start with a capitalized letter. This is enforced to make the Git history easier to navigate for other people.
- Try to refrain from writing from making the main Git message too long. There is no specific limit, this is just a recommendation that you should akways keep in mind.

## Code conventions

- Use tabs for identation (4 spaces).
- Follow the [Rust naming conventions](https://doc.rust-lang.org/1.0.0/style/style/naming/README.html).
- Curly brackets should be on the same line.
- File names and directories should be created according to context (as of 7/26/2022).

## Rules

Here are the simple rules you should follow when contributing:

- Treat other contributors with respect and treat them fairly.
- Do not have high expectations from people who freely contribute their time to the project.
- Make meaningful commit and pull request names.
- Contributions may not insert new dependencies to the project unless explicitly permitted to do so after you open a new issue suggesting **why** the dependency should be added. The project started with a no-dependency goal, so every new dependency added should be justified.
- Follow all the rules mentioned above (including this rule).

Just act like everybody expects you to and you will probably be fine.